Loyalty.lt
Partners

Get transaction details

Retrieve detailed information about a specific transaction

GET/{locale}/partners/transactions/{id}

Retrieve detailed information about a specific transaction

Authorization

bearerAuth
AuthorizationBearer <token>

Enter JWT token in the format: Bearer {token}

In: header

Path Parameters

locale*string

Locale code

id*integer

Transaction ID

Response Body

application/json

curl -X GET "https://example.com/en/partners/transactions/0"
{  "success": true,  "data": {    "id": 1,    "date": "2023-05-15T14:30:00Z",    "amount": 125.5,    "points_earned": 125,    "status": "completed",    "customer": {      "id": 123,      "name": "John Doe",      "email": "john@example.com",      "phone": "+37061234567"    },    "items": [      {        "name": "Product 1",        "quantity": 2,        "price": 25.99      }    ],    "shop": {      "id": 1,      "name": "Shop 1",      "address": "Shop Address",      "phone": "+37061234567",      "email": "shop@example.com"    },    "staff": {      "id": 1,      "name": "Staff 1",      "email": "staff@example.com"    },    "receipt": {      "url": "https://example.com/receipt.pdf",      "path": "/receipts/receipt.pdf",      "available": true    },    "points_calculation": "Points calculation details",    "points_discount_amount": 10.99,    "uploaded_by_staff_id": 1,    "metadata": {}  },  "code": 200}